import pyvisa
import pyvisa.constants

visa_menlo = 'ASRL/dev/ttyUSB0::INSTR'
TC1550 = None

def ConnectToMenlo():
    global TC1550
    if TC1550 is None:
        rm = pyvisa.ResourceManager()
        TC1550 = rm.open_resource(visa_menlo)

        TC1550.baud_rate = 115200
        TC1550.data_bits = 8
        TC1550.parity = pyvisa.constants.Parity.none
        TC1550.stop_bits = pyvisa.constants.StopBits.one
        TC1550.flow_control =  pyvisa.constants.VI_ASRL_FLOW_RTS_CTS # none??
        TC1550.read_termination = '\r\n'
        TC1550.write_termination = '\n'

def HexaToDec(hex):
    hex = hex[2:]
    decimal = int(hex, 16)
    return decimal

def GetAC():
    ac = TC1550.query(':DET:AC:VAL?')
    return HexaToDec(ac)
    

def GetDC():
    dc = TC1550.query(':DET:DC:VAL?')
    return HexaToDec(dc)
