def CheckPreviousData(path):
    """Read the given data file column in search of values of AC greater than
    1200 and bandwidth values smaller than 1 MHz and saves the drivers'
    positions to an array.

    Parameters:
    - path: path to the file with data

    Returns:
    - combinations: list of drivers positions' combinations.
    """
    combinations = []
    with open(path, "r") as previous_data:
        for line_number, line in enumerate(previous_data, start=1):
            columns = line.strip().split()
            if len(columns) < 7:
                print(f"Skipping line {line_number}: Not enough columns.")
                continue
            if float(columns[5]) > 1200 and float(columns[6]) < 1e6:
                combinations.append(columns[:4])
    return combinations
